<?php

/**
 * Coffee Vending Machine bootstrap file.
 */

// pokud používáte verzi pro PHP 5.3, odkomentujte následující řádek:
// use Nette\Debug, Nette\Environment, Nette\Loaders\RobotLoader, Nette\Application\SimpleRouter;


// Step 1: Load Nette Framework
require LIBS_DIR . '/Nette/loader.php';

// Step 2: Configure environment
// 2a) enable Nette\Debug for better exception and error visualisation
Debug::enable();

// 2b) check whether directory /app/temp is writable
if (@file_put_contents(Environment::expand('%tempDir%/_check'), '') === FALSE) {
	throw new Exception("Make directory '" . Environment::getVariable('tempDir') . "' writable!");
}

// 2c) enable RobotLoader - this allows load all classes automatically
$loader = new RobotLoader();
$loader->addDirectory(APP_DIR);
$loader->addDirectory(LIBS_DIR);
$loader->register();

// Step 3: Get and setup a front controller
$application = Environment::getApplication();

// Step 4: Setup application router
$application->setRouter(new SimpleRouter('Machine:default'));

// Step 5: Run the application!
$application->run();
