<?php

// pokud používáte verzi pro PHP 5.3, odkomentujte následující řádek:
// use Nette\Application\Presenter;



/**
 * Coffee vending machine presenters.
 */
class MachinePresenter extends Presenter
{

	/**
	 * Hodnota vhozených mincí.
	 * @persistent - proměnná se přenáší mezi HTTP požadavky
	 */
	public $money = 0;



	public function handleInsert($coin)
	{
		// zvýšíme hodnotu vhozených mincí
		$this->money += max(0, (int) $coin);

		// po příkazu musí následovat přesměrování
		$this->redirect('this');
	}



	public function handleBuy()
	{
		// příkaz pro model
		$model = new Model;
		$result = $model->buyCoffee($this->money);

		if ($result) {
			$this->money = 0;  // vynulujeme částku (automat nevrací)
			$this->redirect('coffee');

		} else {
			$this->template->display = 'Málo peněz';
			$this->template->robots = 'noindex,noarchive';
		}
	}



	public function beforeRender()
	{
		// zaregistrujeme filtr Nette\Templates\CurlyBracketsFilter
		$this->template->registerFilter('Nette\Templates\CurlyBracketsFilter::invoke');
	}



	public function renderDefault()
	{
		if (empty($this->template->display)) {
			// na displeji zobrazíme celkovou částku nebo výzvu k vhození peněz
			$this->template->display = $this->money ? "$this->money Kč" : ('Vhoď ' . Model::COFFEE_PRICE . ' Kč');
		}
	}



	public function renderCoffee()
	{
	}

}
